package Gnome2::Install::Files;

$self = {
          'deps' => [
                      'Glib',
                      'Gnome2::Canvas',
                      'Cairo',
                      'Gnome2::VFS',
                      'Gtk2',
                      'Pango'
                    ],
          'libs' => '-L/opt/local/lib -Wl,-R/opt/local/lib -lgnomeui-2 -Wl,-R/opt/local/lib -lSM -Wl,-R/opt/local/lib -lICE -Wl,-R/opt/local/lib -lbonoboui-2 -Wl,-R/opt/local/lib -lgnome-2 -lpopt -Wl,-R/opt/local/lib -lbonobo-2 -Wl,-R/opt/local/lib -lbonobo-activation -Wl,-R/opt/local/lib -lORBit-2 -Wl,-R/opt/local/lib -lgnomecanvas-2 -Wl,-R/opt/local/lib -lart_lgpl_2 -Wl,-R/opt/local/lib -lgtk-x11-2.0 -Wl,-R/opt/local/lib -lgdk-x11-2.0 -Wl,-R/opt/local/lib -lpangocairo-1.0 -Wl,-R/opt/local/lib -latk-1.0 -Wl,-R/opt/local/lib -lcairo -Wl,-R/opt/local/lib -lgio-2.0 -Wl,-R/opt/local/lib -lpangoft2-1.0 -Wl,-R/opt/local/lib -lpango-1.0 -Wl,-R/opt/local/lib -lfontconfig -Wl,-R/opt/local/lib -lfreetype -Wl,-R/opt/local/lib -lgdk_pixbuf-2.0 -Wl,-R/opt/local/lib -lgnomevfs-2 -Wl,-R/opt/local/lib -lgconf-2 -Wl,-R/opt/local/lib -lgthread-2.0 -lpthread -lthread -Wl,-R/opt/local/lib -lgmodule-2.0 -lpthread -lthread -Wl,-R/opt/local/lib -lgobject-2.0 -Wl,-R/opt/local/lib -lglib-2.0 -lintl  -L/opt/local/lib -Wl,-R/opt/local/lib -lbonoboui-2 -Wl,-R/opt/local/lib -lgnomecanvas-2 -Wl,-R/opt/local/lib -lart_lgpl_2 -Wl,-R/opt/local/lib -lgtk-x11-2.0 -Wl,-R/opt/local/lib -lgdk-x11-2.0 -Wl,-R/opt/local/lib -lpangocairo-1.0 -Wl,-R/opt/local/lib -latk-1.0 -Wl,-R/opt/local/lib -lcairo -Wl,-R/opt/local/lib -lgdk_pixbuf-2.0 -Wl,-R/opt/local/lib -lgio-2.0 -Wl,-R/opt/local/lib -lpangoft2-1.0 -Wl,-R/opt/local/lib -lpango-1.0 -Wl,-R/opt/local/lib -lfontconfig -Wl,-R/opt/local/lib -lfreetype -Wl,-R/opt/local/lib -lgnome-2 -lpopt -Wl,-R/opt/local/lib -lbonobo-2 -Wl,-R/opt/local/lib -lbonobo-activation -Wl,-R/opt/local/lib -lgmodule-2.0 -lpthread -lthread -Wl,-R/opt/local/lib -lORBit-2 -Wl,-R/opt/local/lib -lgthread-2.0 -lpthread -lthread -Wl,-R/opt/local/lib -lgobject-2.0 -Wl,-R/opt/local/lib -lglib-2.0 -lintl ',
          'inc' => '-D_REENTRANT -D_POSIX_PTHREAD_SEMANTICS -D_REENTRANT -DORBIT2=1 -D_REENTRANT -D_PTHREADS -D_REENTRANT -D_PTHREADS -I/opt/local/include/libgnomeui-2.0 -I/opt/local/include/gnome-keyring-1 -I/opt/local/include/libbonoboui-2.0 -I/opt/local/include/libxml2 -I/opt/local/include -I/opt/local/include/libgnome-2.0 -I/opt/local/include -I/opt/local/include/libbonobo-2.0 -I/opt/local/include/bonobo-activation-2.0 -I/opt/local/include/libgnomecanvas-2.0 -I/opt/local/include/gail-1.0 -I/opt/local/include/libart-2.0 -I/opt/local/include/gtk-2.0 -I/opt/local/lib/gtk-2.0/include -I/opt/local/include/pango-1.0 -I/opt/local/include/atk-1.0 -I/opt/local/include/cairo -I/opt/local/include/pixman-1 -I/opt/local/include/libpng16 -I/opt/local/include -I/opt/local/include/pango-1.0 -I/opt/local/include/harfbuzz -I/opt/local/include/pango-1.0 -I/opt/local/include -I/opt/local/include/freetype2 -I/opt/local/include/gdk-pixbuf-2.0 -I/opt/local/include/libpng16 -I/opt/local/include/gnome-vfs-2.0 -I/opt/local/lib/gnome-vfs-2.0/include -I/opt/local/include/gconf/2 -I/opt/local/include/orbit-2.0 -I/opt/local/include/glib/glib-2.0 -I/opt/local/lib/glib-2.0/include -I/opt/local/include  -D_REENTRANT -D_POSIX_PTHREAD_SEMANTICS -D_REENTRANT -DORBIT2=1 -D_REENTRANT -D_PTHREADS -D_REENTRANT -D_PTHREADS -I/opt/local/include/libbonoboui-2.0 -I/opt/local/include/libxml2 -I/opt/local/include -I/opt/local/include/libgnomecanvas-2.0 -I/opt/local/include/gail-1.0 -I/opt/local/include/libart-2.0 -I/opt/local/include/gtk-2.0 -I/opt/local/lib/gtk-2.0/include -I/opt/local/include/pango-1.0 -I/opt/local/include/atk-1.0 -I/opt/local/include/cairo -I/opt/local/include/pixman-1 -I/opt/local/include/libpng16 -I/opt/local/include -I/opt/local/include/gdk-pixbuf-2.0 -I/opt/local/include/libpng16 -I/opt/local/include/pango-1.0 -I/opt/local/include/harfbuzz -I/opt/local/include/pango-1.0 -I/opt/local/include -I/opt/local/include/freetype2 -I/opt/local/include/libgnome-2.0 -I/opt/local/include/gnome-vfs-2.0 -I/opt/local/lib/gnome-vfs-2.0/include -I/opt/local/include/gconf/2 -I/opt/local/include -I/opt/local/include/libbonobo-2.0 -I/opt/local/include/bonobo-activation-2.0 -I/opt/local/include/orbit-2.0 -I/opt/local/include/glib/glib-2.0 -I/opt/local/lib/glib-2.0/include -I/opt/local/include ',
          'typemaps' => [
                          'gnome2perl.typemap',
                          'gnome.typemap'
                        ]
        };


# this is for backwards compatiblity
@deps = @{ $self->{deps} };
@typemaps = @{ $self->{typemaps} };
$libs = $self->{libs};
$inc = $self->{inc};

	$CORE = undef;
	foreach (@INC) {
		if ( -f $_ . "/Gnome2/Install/Files.pm") {
			$CORE = $_ . "/Gnome2/Install/";
			last;
		}
	}

1;
